module Material (Material (..), attenuation) where

import Linear.V3
import Linear.Vector

data Material = Lambertian (V3 Double) | Metal (V3 Double) | Glass

attenuation (Lambertian c) = c
attenuation (Metal c) = c
attenuation Glass = V3 1.0 1.0 1.0
